<?php
/**
 * 运行PHP
 * @作者 qinggan <admin@phpok.com>
 * @版权 深圳市锟铻科技有限公司
 * @主页 http://www.phpok.com
 * @版本 5.x
 * @授权 http://www.phpok.com/lgpl.html 开源授权协议：GNU Lesser General Public License
 * @时间 2018年11月17日
**/

$flist = $this->db->list_fields('wealth_rule');
if($flist && !in_array('group_id',$flist)){
	$sql = "ALTER TABLE `".$this->db->prefix."wealth_rule` ADD `group_id` INT UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不限制，其他限制这条规则仅在此会员组下的会员有效'";
	$this->db->query($sql);
}

if($flist && !in_array('uids',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `uids` VARCHAR(255) NOT NULL COMMENT '多个会员ID用英文逗号隔开'";
	$this->db->query($sql);
}

if($flist && !in_array('qty_type',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `qty_type` VARCHAR(255) NOT NULL DEFAULT 'order' COMMENT 'order指订单数，product指产品数'";
	$this->db->query($sql);
}

if($flist && !in_array('qty',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `qty` INT UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不限，其他值是在订单数量或产品数量值'";
	$this->db->query($sql);
}

if($flist && !in_array('price_type',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `price_type` VARCHAR(255) NOT NULL DEFAULT 'order' COMMENT 'order指订单价格，product指产品价格'";
	$this->db->query($sql);
}

if($flist && !in_array('price',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `price` INT UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不限，其他值指订单或产品价格时有效'";
	$this->db->query($sql);
}

if($flist && !in_array('project_id',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `project_id` INT UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不限制，其他值限制项目'";
	$this->db->query($sql);
}

if($flist && !in_array('title_id',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."wealth_rule ADD `title_id` VARCHAR( 255 ) NOT NULL COMMENT '主题限制，多个主题用英文逗号隔开，建议不超过30个主题'";
	$this->db->query($sql);
}

if($flist && !in_array('goal_group_id',$flist)){
	$sql = "ALTER TABLE `".$this->db->prefix."wealth_rule` ADD `goal_group_id` INT UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不限，其他限制目标会员组ID'";
	$this->db->query($sql);
}

if($flist && !in_array('goal_uids',$flist)){
	$sql = "ALTER TABLE `".$this->db->prefix."wealth_rule` ADD `goal_uids` VARCHAR(255) NOT NULL COMMENT '目标会员ID，多个会员ID用英文逗号隔开'";
	$this->db->query($sql);
}
